stages:
        - build
        - test
        - deploy
build_app:
        image: node:latest
        stage: build
        script:
                - npm install --include=dev
                - npm run build
e2e_tests:
        stage: test
        image:
                name: testcafe/testcafe
                entrypoint: ["/bin/sh", "-c"]
        script:
                - npm install --include=dev
                - /opt/testcafe/docker/testcafe-docker.sh chromium tests/e2e.js
test_app:
        image: node:latest
        stage: test
        script:
                - npm install --include=dev
                - npm run test:unit      

deploy_app:
        image: "ruby:2.5"
        stage: deploy
        script:
                - apt-get update -qy
                - apt-get install rubygems ruby-dev -y
                - gem install dpl
                - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_API_KEY --skip-cleanup